%define _disable_ld_no_undefined 1

Summary:	Bible Study Software for Linux and the Gnome Desktop
Name:		xiphos
Version:	4.2.1
Release:	%mkrel 1
Source:		http://dfn.dl.sourceforge.net/sourceforge/gnomesword/%{name}-%{version}.tar.xz
Patch0: disable-webkit-editor.patch
Patch1: https-by-default.patch
Patch2: glib_version.patch
URL:		http://xiphos.org/
License:	GPLv2+
Group:		Education
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#----------------------------------------
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gsf-1_114-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64gtkhtml4.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64sword-devel >= 1.7.3
BuildRequires: lib64xml2-devel
BuildRequires: gnome-doc-utils
BuildRequires: perl-XML-Parser
BuildRequires: rarian
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: biblesync-devel
#----------------------------------------


%description
Xiphos (formerly known as GnomeSword) is a Bible study tool written for Linux,
UNIX, and Windows under the GNOME toolkit, offering a rich and featureful
environment for reading, study, and research using modules from The SWORD
Project and elsewhere.
The SWORD Bible Framework allows easy manipulation of Bible texts, 
commentaries, lexicons, dictionaries, etc.

%prep
%setup -q
%apply_patches



%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%cmake -DGTKHTML:BOOL=ON \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    %{nil}
%cmake_build


%install
%cmake_install

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications/ \
	--remove-key='Encoding' \
	--remove-key='MultipleArgs' \
	--remove-category='Application' \
	--remove-category='Utility' \
	--remove-category='X-Red-Hat-Extra' \
	--add-category='X-MandrivaLinux-MoreApplications-Education-Literature' \
	%{buildroot}%{_datadir}/applications/*.desktop

mkdir -p $RPM_BUILD_ROOT/{%{_liconsdir},%{_miconsdir}}
install pixmaps/gs2-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 16x16 -resize 16x16 pixmaps/gs2-48x48.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -size 32x32 -resize 32x32 pixmaps/gs2-48x48.png %{buildroot}/%{_iconsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}
%{_datadir}


%changelog
* Tue Jun 13 2023 tex - 4.2.1-1pclos2023
- new version

* Sat Oct 05 2019 tex - 4.1.0-2pclos2019
- rebuild against updates

* Fri Oct 04 2019 tex - 4.1.0-1pclos2019
- new

* Thu Dec 18 2014 pinoc <vogtpet at gmail.com> 3.2.2-1pclos2014
- 3.2.2

* Wed Feb 12 2014 bb <bb> 3.1.6-2pclos2014
- adjust BR

* Wed Feb 12 2014 Ken <lxgator at gmail.com> 3.1.6-1pclos2014
- 3.1.6

* Fri Sep 06 2013 billybot <billybot> 3.1.5-3pclos2013
- switch backend to webkit

* Fri Sep 06 2013 billybot <billybot> 3.1.5-2pclos2013
- rebuild against updated webkitgtk

* Mon Jul 02 2012 Neal <nealbrks0 at gmail dot com> 3.1.5-1pclos2012
- process

* Sat Jun 23 2012 Galen Seaman <galen.seaman@comcast.net> 3.1.5-1pclos2012
- update 3.1.5

* Sun Oct 10 2010 Texstar <texstar at gmail.com> 3.1.3-2pclos2010
- rebuild

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 3.1.3-1pclos2010
- 3.1.3
